curl --request POST \
--url https://api.devhelm.io/api/v1/status-pages/{id}/domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hostname": "<string>"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hostname": "<string>",
"status": "PENDING_VERIFICATION",
"verificationMethod": "CNAME",
"verificationToken": "<string>",
"verificationCnameTarget": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"primary": true,
"verifiedAt": "2023-11-07T05:31:56Z",
"verificationError": "<string>"
}
}curl --request POST \
--url https://api.devhelm.io/api/v1/status-pages/{id}/domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hostname": "<string>"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hostname": "<string>",
"status": "PENDING_VERIFICATION",
"verificationMethod": "CNAME",
"verificationToken": "<string>",
"verificationCnameTarget": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"primary": true,
"verifiedAt": "2023-11-07T05:31:56Z",
"verificationError": "<string>"
}
}API key (dh_live_...) or Auth0 JWT token
Custom hostname, e.g. status.acme.com
255^[a-z0-9]([a-z0-9-]*[a-z0-9])?(\.[a-z0-9]([a-z0-9-]*[a-z0-9])?)+$Created
Show child attributes